summarylogtreecommitdiffstats
path: root/any-sync-gui.sh
diff options
context:
space:
mode:
Diffstat (limited to 'any-sync-gui.sh')
-rw-r--r--any-sync-gui.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/any-sync-gui.sh b/any-sync-gui.sh
new file mode 100644
index 000000000000..2ec4412e5c4f
--- /dev/null
+++ b/any-sync-gui.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -e
+_APPDIR="/usr/lib/@appname@"
+export PATH="${_APPDIR}:${PATH}"
+export ELECTRON_IS_DEV=0
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+_ASAR="${_APPDIR}/@appasar@"
+if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" "$@"
+else
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
+fi \ No newline at end of file